<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HWA_HWAttrs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">HWA_HWAttrs_t Struct Reference<div class="ingroups"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">HWA Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>HWA H/W Parameters.  
 <a href="struct_h_w_a___h_w_attrs__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/hwa/hwa.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a70e744402865ce63e0e03b9e6fd03f33"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#a70e744402865ce63e0e03b9e6fd03f33">instanceNum</a></td></tr>
<tr class="separator:a70e744402865ce63e0e03b9e6fd03f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0b565754d68ec2a5c0b8b281c091a55"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#aa0b565754d68ec2a5c0b8b281c091a55">ctrlBaseAddr</a></td></tr>
<tr class="separator:aa0b565754d68ec2a5c0b8b281c091a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3713feb377dbfcabaf4995beb57d73d8"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#a3713feb377dbfcabaf4995beb57d73d8">paramBaseAddr</a></td></tr>
<tr class="separator:a3713feb377dbfcabaf4995beb57d73d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbd929f2389a689b04675b5e621a04b4"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#afbd929f2389a689b04675b5e621a04b4">ramBaseAddr</a></td></tr>
<tr class="separator:afbd929f2389a689b04675b5e621a04b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24175279866f000c65c54b3a3ba26f9c"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#a24175279866f000c65c54b3a3ba26f9c">dssBaseAddr</a></td></tr>
<tr class="separator:a24175279866f000c65c54b3a3ba26f9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c12256ddc33233b16ac77593ab9581a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#a1c12256ddc33233b16ac77593ab9581a">numHwaParamSets</a></td></tr>
<tr class="separator:a1c12256ddc33233b16ac77593ab9581a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb9f8ad3d6349345d45238942e381f2"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#abdb9f8ad3d6349345d45238942e381f2">intNumParamSet</a></td></tr>
<tr class="separator:abdb9f8ad3d6349345d45238942e381f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a45ee17924528d46cdf5da952aeed8f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#a8a45ee17924528d46cdf5da952aeed8f">intNumDone</a></td></tr>
<tr class="separator:a8a45ee17924528d46cdf5da952aeed8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19b801c57423be3179551610491be5af"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___h_w_attrs__t.html#a19b801c57423be3179551610491be5af">numDmaChannels</a></td></tr>
<tr class="separator:a19b801c57423be3179551610491be5af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>HWA H/W Parameters. </p>
<p>HWA parameters are used to with the <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> call. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="aa0b565754d68ec2a5c0b8b281c091a55"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t HWA_HWAttrs_t::ctrlBaseAddr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA Peripheral's base address for the control/common register space </p>

</div>
</div>
<a class="anchor" id="a24175279866f000c65c54b3a3ba26f9c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t HWA_HWAttrs_t::dssBaseAddr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DSS base address for the common settings </p>

</div>
</div>
<a class="anchor" id="a70e744402865ce63e0e03b9e6fd03f33"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t HWA_HWAttrs_t::instanceNum</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA Instance num - this is related to actual H/W instance of this IP </p>

</div>
</div>
<a class="anchor" id="a8a45ee17924528d46cdf5da952aeed8f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t HWA_HWAttrs_t::intNumDone</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA Peripheral's interrupt vector for completion of all programmed paramset </p>

</div>
</div>
<a class="anchor" id="abdb9f8ad3d6349345d45238942e381f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t HWA_HWAttrs_t::intNumParamSet</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA Peripheral's interrupt vector for individual paramset completion </p>

</div>
</div>
<a class="anchor" id="a19b801c57423be3179551610491be5af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t HWA_HWAttrs_t::numDmaChannels</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of DMA channels available for HWA (src or dst) </p>

</div>
</div>
<a class="anchor" id="a1c12256ddc33233b16ac77593ab9581a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t HWA_HWAttrs_t::numHwaParamSets</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of HWA paramsets in this instance </p>

</div>
</div>
<a class="anchor" id="a3713feb377dbfcabaf4995beb57d73d8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t HWA_HWAttrs_t::paramBaseAddr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA Peripheral's base address for the paramset space </p>

</div>
</div>
<a class="anchor" id="afbd929f2389a689b04675b5e621a04b4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t HWA_HWAttrs_t::ramBaseAddr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>HWA Peripheral's base address for the Window/Internal RAM space </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/hwa/<a class="el" href="hwa_8h.html">hwa.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
